html, body {
    height: 100%;
    margin: 0;
}

h2 {
    margin:0 0 30px
}

.main-container {
    min-height: 92%;
    display: flex;
    flex-direction: column;
}

.input-group-text {
    min-width: 40px; /* Adjust as needed */
    text-align: center;
}

main {
    flex: 1;
}

.fixed-page-width {
    max-width:650px;
    margin:0 auto
}

.copyright {
    text-align:center;
    color:#a4a4a4
}

footer {
    text-align: center;
    padding: 10px 0;
    font-size:14px
}

footer a {
    color:#111;
    text-decoration:none
}

footer a:hover {
    text-decoration:underline
}

.page404 {
    text-align:center
}




/* Show dropdown on hover */
.nav-item.dropdown:hover .dropdown-menu {
    display: block;
    margin-top: 0;
}

/* Ensure the parent link is clickable and not interfered with by dropdown */
.nav-item.dropdown > .nav-link {
    display: inline-block;
    padding-right: .5rem;
}

/* Additional styling for hover state */
.nav-item.dropdown:hover > .nav-link {
    color: #0056b3; /* Change this to your preferred hover color */
}